---
layout: default
show_sidebar: false
---

{% assign sorted_projects = site.projects | sort:page.sort %}

<!-- Recupère la liste des tags "Domaine" (area) -->

{% assign areaArray = '' | split: ',' | sort_natural %}

{% for project in sorted_projects %}
  {% for area in project.area %}
    {% if area.check %}
      {% assign areaArray = areaArray | push: area.label | sort_natural %}
    {% endif %}
  {% endfor %}
{% endfor %}

{% assign uniqAreas = areaArray | uniq %}

{% assign listAreas = "Projet I3 2022, Projet I3, Application mobile, Développement durable, Développement Web, Electronique, Mécanique, Objets connectés, Programmation, Robotique" | split: ", " %}

<!-- Recupère la liste des projets en fonction des domaines de l'URL -->
{% assign page_url = page.url %}


<!-- Affiches les domaines -->

<div class="content">
  <p class="subtitle is-6"><b>Domaine(s) :</b>
    <div class="field is-grouped is-grouped-multiline">
      <div class="control">
        <a href="../projets" class="tag is-rounded is-medium is-warning">Tout</a>
      </div>
      {% for area in listAreas %}
      <div class="control">
        {% if area == page.area %}
          <a href="../{{ area | replace: "é", "e" | replace: "è", "e" | url_encode }}" class="tag is-rounded is-medium is-success">{{ area }}</a>
        {% else %}
          <a href="../{{ area | replace: "é", "e" | replace: "è", "e" | url_encode }}" class="tag is-rounded is-medium is-info is-light">{{ area }}</a>
        {% endif %}
      </div>
      {% endfor %}
    </div>
  </p>
</div>

<!-- CONTENT -->

<div class="columns is-multiline">

  <div class="column is-12">
    {{ page.content }}
  </div>

  {% for project in sorted_projects %}
    {% if page.area == "Tout" %}
      {% assign display = true %}
    {% else %}
      {% for area in project.area %}
        {% if area.check %}
          {% if area.label == page.area%}
            {% assign display = true %}
          {% endif %}  
        {% endif %}  
      {% endfor %}
    {% endif %}

    {% if display == true %}
      <div class="column is-4-desktop is-6-tablet">
        <a href="{{ project.url | relative_url }}">
          {% if project.empty_group %}
          <div class="card has-background-warning-light" >
          {% else %}
          <div class="card has-background-success-light">
          {% endif %}
            {% if project.image %}
            {% capture image-url %}{{ site.baseurl }}{{ project.url }}{{ project.image }}{% endcapture %}
            <div class="card-image">
              <figure class="image is-4by3">
                <img src="{{ image-url }}" alt="{{ project.title }}" />
              </figure>
            </div>
            {% else %}
            <div class="card-image">
              <figure class="image is-4by3">
                <img src="{{ site.imgurl }}/no-image.png" alt="{{ project.title }}" />
              </figure>
            </div>
            {% endif %}
            <div class="card-content">
              
              <span class="icon-text">
                  {% if project.empty_group %}
                    <span class="icon has-text-warning">
                    <i class="fas fa-users-slash"></i>
                  {% else %}
                    <span class="icon has-text-success">
                    <i class="fas fa-thumbs-up"></i>
                  {% endif %}
                    
                </span>
                <span class="title is-4">{{ project.title }}</h2></span>
              </span>

              <p class="subtitle is-6">{{ project.subtitle | truncate: 60 }}</p>  
            </div>
          </div>
        </a>
      </div>
      {% assign display = false %}
    {% endif %}

  {% endfor %}
</div>

